import { Module } from '@nestjs/common';
import { UploadController } from './upload.controller';
import { UploadService } from './upload.service';
import { BullModule } from '@nestjs/bullmq';
import { UploadLockService } from './upload-lock.service';
import { ChunkManager } from './chunk.manager';

@Module({
    imports: [
        BullModule.registerQueue({
            name: 'file-queue', // 确保这个名称与 service 中注入的队列名称一致
        }),
    ],
    controllers: [UploadController],
    providers: [UploadService, UploadLockService, ChunkManager],
})
export class UploadModule { }