import { AnimatePresence, motion } from "framer-motion";

const ANIMATIONS = {

    error: {
        initial: { opacity: 0, y: -8 },
        animate: { opacity: 1, y: 0 },
        exit: { opacity: 0, y: -8 },
        transition: { duration: 0.2 }
    }
};
export default function FormError({ error }: { error: string }) {
    return <AnimatePresence>
        {error && (
            <motion.span {...ANIMATIONS.error}
                className="absolute left-0 top-full mt-1 text-sm font-medium text-red-500"
            >
                {error}
            </motion.span>
        )}
    </AnimatePresence>
}